Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicComboPopup.ListSelectionHandler

    java.lang.Object
      javax.swing.plaf.basic.BasicComboPopup.ListSelectionHandler

All Implemented Interfaces:
  EventListener, ListSelectionListener

Enclosing class:
  BasicComboPopup

    protected class BasicComboPopup.ListSelectionHandler

extends Object
implements ListSelectionListener

As of Java 2 platform v 1.4, this class is now obsolete, doesn't do anything, and is only included for backwards API compatibility. Do not call or override.

Constructor Summary
`protected` | `BasicComboPopup.ListSelectionHandler()`

Method Summary
`void` | `valueChanged(ListSelectionEvent e)` Called whenever the value of the selection changes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicComboPopup.ListSelectionHandler

    protected BasicComboPopup.ListSelectionHandler()

Method Detail

### valueChanged

    public void valueChanged(ListSelectionEvent e)

  Description copied from interface: `ListSelectionListener`
  Called whenever the value of the selection changes.

  Specified by:
    `valueChanged` in interface `ListSelectionListener`
  Parameters:
    `e` - the event that characterizes the change.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.